<Activity mc:Ignorable="sap sap2010" x:Class="Salesforce___Download_report_as_XLSX" this:Salesforce___Download_report_as_XLSX.SalesforceReportURL="https://lightningcrm.pwc.myshn.net/lightning/r/Opportunity/0064L000007wXhu/view" this:Salesforce___Download_report_as_XLSX.UserEmail="marcin.p.pasciak@pwc.com" this:Salesforce___Download_report_as_XLSX.OpportunityName="PPUgV 2020 HELIOS Klinikum Warburg" xmlns="http://schemas.microsoft.com/netfx/2009/xaml/activities" xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" xmlns:mva="clr-namespace:Microsoft.VisualBasic.Activities;assembly=System.Activities" xmlns:sap="http://schemas.microsoft.com/netfx/2009/xaml/activities/presentation" xmlns:sap2010="http://schemas.microsoft.com/netfx/2010/xaml/activities/presentation" xmlns:scg="clr-namespace:System.Collections.Generic;assembly=mscorlib" xmlns:sco="clr-namespace:System.Collections.ObjectModel;assembly=mscorlib" xmlns:this="clr-namespace:" xmlns:ui="http://schemas.uipath.com/workflow/activities" xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">
  <x:Members>
    <x:Property Name="SalesforceReportURL" Type="InArgument(x:String)" />
    <x:Property Name="UserEmail" Type="InArgument(x:String)" />
    <x:Property Name="Browser" Type="OutArgument(ui:Browser)" />
    <x:Property Name="OpportunityName" Type="InArgument(x:String)" />
  </x:Members>
  <mva:VisualBasic.Settings>
    <x:Null />
  </mva:VisualBasic.Settings>
  <sap:VirtualizedContainerService.HintSize>1213,5837</sap:VirtualizedContainerService.HintSize>
  <sap2010:WorkflowViewState.IdRef>Salesforce - Download report as XLSX_1</sap2010:WorkflowViewState.IdRef>
  <TextExpression.NamespacesForImplementation>
    <scg:List x:TypeArguments="x:String" Capacity="28">
      <x:String>System.Activities</x:String>
      <x:String>System.Activities.Statements</x:String>
      <x:String>System.Activities.Expressions</x:String>
      <x:String>System.Activities.Validation</x:String>
      <x:String>System.Activities.XamlIntegration</x:String>
      <x:String>Microsoft.VisualBasic</x:String>
      <x:String>Microsoft.VisualBasic.Activities</x:String>
      <x:String>System</x:String>
      <x:String>System.Collections</x:String>
      <x:String>System.Collections.Generic</x:String>
      <x:String>System.Data</x:String>
      <x:String>System.Diagnostics</x:String>
      <x:String>System.Drawing</x:String>
      <x:String>System.IO</x:String>
      <x:String>System.Linq</x:String>
      <x:String>System.Net.Mail</x:String>
      <x:String>System.Xml</x:String>
      <x:String>System.Xml.Linq</x:String>
      <x:String>UiPath.Core</x:String>
      <x:String>UiPath.Core.Activities</x:String>
      <x:String>System.Windows.Markup</x:String>
      <x:String>System.Reflection</x:String>
      <x:String>System.Runtime.InteropServices</x:String>
      <x:String>System.Activities.DynamicUpdate</x:String>
      <x:String>UiPath.UIAutomationNext.Enums</x:String>
      <x:String>System.Collections.ObjectModel</x:String>
      <x:String>System.Web</x:String>
      <x:String>System.Runtime.Serialization</x:String>
    </scg:List>
  </TextExpression.NamespacesForImplementation>
  <TextExpression.ReferencesForImplementation>
    <scg:List x:TypeArguments="AssemblyReference" Capacity="33">
      <AssemblyReference>System.Activities</AssemblyReference>
      <AssemblyReference>Microsoft.VisualBasic</AssemblyReference>
      <AssemblyReference>mscorlib</AssemblyReference>
      <AssemblyReference>System.Data</AssemblyReference>
      <AssemblyReference>System.Data.DataSetExtensions</AssemblyReference>
      <AssemblyReference>System</AssemblyReference>
      <AssemblyReference>System.Drawing</AssemblyReference>
      <AssemblyReference>System.Core</AssemblyReference>
      <AssemblyReference>System.Xml</AssemblyReference>
      <AssemblyReference>System.Xml.Linq</AssemblyReference>
      <AssemblyReference>PresentationFramework</AssemblyReference>
      <AssemblyReference>WindowsBase</AssemblyReference>
      <AssemblyReference>PresentationCore</AssemblyReference>
      <AssemblyReference>System.Xaml</AssemblyReference>
      <AssemblyReference>UiPath.System.Activities</AssemblyReference>
      <AssemblyReference>UiPath.UiAutomation.Activities</AssemblyReference>
      <AssemblyReference>System.ValueTuple</AssemblyReference>
      <AssemblyReference>System.ServiceModel</AssemblyReference>
      <AssemblyReference>UiPath.Excel</AssemblyReference>
      <AssemblyReference>UiPath.Mail</AssemblyReference>
      <AssemblyReference>UiPath.Studio.Plugin.Workflow</AssemblyReference>
      <AssemblyReference>System.Collections.Immutable</AssemblyReference>
      <AssemblyReference>UiPath.Cryptography</AssemblyReference>
      <AssemblyReference>System.ComponentModel.Composition</AssemblyReference>
      <AssemblyReference>System.Memory</AssemblyReference>
      <AssemblyReference>UiPath.UIAutomationNext</AssemblyReference>
      <AssemblyReference>UiPath.System.Activities.Design</AssemblyReference>
      <AssemblyReference>Microsoft.Bcl.AsyncInterfaces</AssemblyReference>
      <AssemblyReference>UiPath.OCR.Activities.Design</AssemblyReference>
      <AssemblyReference>UiPath.UIAutomationCore</AssemblyReference>
      <AssemblyReference>System.Web</AssemblyReference>
      <AssemblyReference>System.Runtime.Serialization</AssemblyReference>
    </scg:List>
  </TextExpression.ReferencesForImplementation>
  <Sequence DisplayName="Global" sap:VirtualizedContainerService.HintSize="873,5772" sap2010:WorkflowViewState.IdRef="Sequence_1">
    <Sequence.Variables>
      <Variable x:TypeArguments="x:String" Name="componentName">
        <Variable.Default>
          <Literal x:TypeArguments="x:String">Salesforce _Open_Opportunity_URL</Literal>
        </Variable.Default>
      </Variable>
    </Sequence.Variables>
    <sap:WorkflowViewStateService.ViewState>
      <scg:Dictionary x:TypeArguments="x:String, x:Object">
        <x:Boolean x:Key="IsExpanded">True</x:Boolean>
      </scg:Dictionary>
    </sap:WorkflowViewStateService.ViewState>
    <ui:LogMessage DisplayName="Log Message" sap:VirtualizedContainerService.HintSize="831,91" sap2010:WorkflowViewState.IdRef="LogMessage_1" Level="Info" Message="[&quot;Start: &quot; + componentName]" />
    <ui:OpenBrowser CommunicationMethod="{x:Null}" BrowserType="Chrome" DisplayName="Open Browser - Google Chrome" Hidden="False" sap:VirtualizedContainerService.HintSize="831,5418" sap2010:WorkflowViewState.IdRef="OpenBrowser_1" NewSession="False" Private="False" UiBrowser="[Browser]" Url="[SalesforceReportURL]">
      <ui:OpenBrowser.Body>
        <ActivityAction x:TypeArguments="x:Object">
          <ActivityAction.Argument>
            <DelegateInArgument x:TypeArguments="x:Object" Name="ContextTarget" />
          </ActivityAction.Argument>
          <Sequence DisplayName="Do" sap:VirtualizedContainerService.HintSize="797,5317" sap2010:WorkflowViewState.IdRef="Sequence_2">
            <Sequence.Variables>
              <Variable x:TypeArguments="x:Boolean" Name="accessButtonExists" />
              <Variable x:TypeArguments="x:Boolean" Name="loginBoxExists" />
              <Variable x:TypeArguments="x:Boolean" Name="reportExists" />
              <Variable x:TypeArguments="scg:IEnumerable(ui:UiElement)" Name="children" />
              <Variable x:TypeArguments="x:Boolean" Name="iHaveReadAndUnderstood" />
              <Variable x:TypeArguments="x:Boolean" Name="notificationFromWebExists" />
              <Variable x:TypeArguments="x:Boolean" Name="blockImageExists" />
            </Sequence.Variables>
            <sap:WorkflowViewStateService.ViewState>
              <scg:Dictionary x:TypeArguments="x:String, x:Object">
                <x:Boolean x:Key="IsExpanded">True</x:Boolean>
              </scg:Dictionary>
            </sap:WorkflowViewStateService.ViewState>
            <ui:MaximizeWindow Window="{x:Null}" DisplayName="Maximize Window" sap:VirtualizedContainerService.HintSize="755,22" sap2010:WorkflowViewState.IdRef="MaximizeWindow_1" />
            <Delay mva:VisualBasic.Settings="{x:Null}" DisplayName="Delay 1 second" Duration="00:00:01" sap:VirtualizedContainerService.HintSize="755,22" sap2010:WorkflowViewState.IdRef="Delay_1">
              <TextExpression.Namespaces>
                <sco:Collection x:TypeArguments="x:String">
                  <x:String>System.Activities</x:String>
                  <x:String>System.Activities.Statements</x:String>
                  <x:String>System.Activities.Expressions</x:String>
                  <x:String>System.Activities.Validation</x:String>
                  <x:String>System.Activities.XamlIntegration</x:String>
                  <x:String>Microsoft.VisualBasic.Activities</x:String>
                  <x:String>System</x:String>
                  <x:String>System.Collections.Generic</x:String>
                  <x:String>System.Data</x:String>
                  <x:String>System.Diagnostics</x:String>
                  <x:String>System.IO</x:String>
                  <x:String>System.Linq</x:String>
                  <x:String>System.Management.Automation</x:String>
                  <x:String>System.Net.Mail</x:String>
                  <x:String>System.Xml</x:String>
                  <x:String>System.Xml.Linq</x:String>
                  <x:String>UiPath.Library</x:String>
                  <x:String>System.Windows.Markup</x:String>
                </sco:Collection>
              </TextExpression.Namespaces>
              <TextExpression.References>
                <sco:Collection x:TypeArguments="AssemblyReference">
                  <AssemblyReference>System.Activities</AssemblyReference>
                  <AssemblyReference>mscorlib</AssemblyReference>
                  <AssemblyReference>System.Data</AssemblyReference>
                  <AssemblyReference>System</AssemblyReference>
                  <AssemblyReference>System.Core</AssemblyReference>
                  <AssemblyReference>System.Management.Automation</AssemblyReference>
                  <AssemblyReference>System.Xml</AssemblyReference>
                  <AssemblyReference>System.Xml.Linq</AssemblyReference>
                  <AssemblyReference>UiPath.Library</AssemblyReference>
                  <AssemblyReference>PresentationFramework</AssemblyReference>
                  <AssemblyReference>WindowsBase</AssemblyReference>
                  <AssemblyReference>PresentationCore</AssemblyReference>
                  <AssemblyReference>System.Xaml</AssemblyReference>
                </sco:Collection>
              </TextExpression.References>
            </Delay>
            <ui:UiElementExists DisplayName="Element Exists - Access Global Salesforce button" Exists="[accessButtonExists]" sap:VirtualizedContainerService.HintSize="755,106" sap2010:WorkflowViewState.IdRef="UiElementExists_4">
              <ui:UiElementExists.Target>
                <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="b406afc5-3182-454b-9003-7002b57ece02" InformativeScreenshot="1f355c24852298e9193895c7cc93507e" Selector="&lt;html app='chrome.exe' title='Log In Using | Salesforce' /&gt;&lt;webctrl aaname='Access Global Salesforce' tag='BUTTON' /&gt;" TimeoutMS="30000" WaitForReady="INTERACTIVE" />
              </ui:UiElementExists.Target>
            </ui:UiElementExists>
            <ui:FindChildren Children="[children]" DisplayName="Find Children - get number of chrome tabs" Filter="&lt;html app='chrome.exe' /&gt;" sap:VirtualizedContainerService.HintSize="755,68" sap2010:WorkflowViewState.IdRef="FindChildren_2" Scope="FIND_TOP_LEVELS">
              <ui:FindChildren.Target>
                <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Selector="{x:Null}" Id="14784dc9-d22e-4818-8ce3-5d1b37bd1b77" WaitForReady="INTERACTIVE">
                  <ui:Target.TimeoutMS>
                    <InArgument x:TypeArguments="x:Int32" />
                  </ui:Target.TimeoutMS>
                </ui:Target>
              </ui:FindChildren.Target>
            </ui:FindChildren>
            <If Condition="[children.Count &gt;1]" DisplayName="If more than one tab opened" sap:VirtualizedContainerService.HintSize="755,392" sap2010:WorkflowViewState.IdRef="If_5">
              <If.Then>
                <Sequence DisplayName="AE - more tabs opened" sap:VirtualizedContainerService.HintSize="376,245" sap2010:WorkflowViewState.IdRef="Sequence_9">
                  <sap:WorkflowViewStateService.ViewState>
                    <scg:Dictionary x:TypeArguments="x:String, x:Object">
                      <x:Boolean x:Key="IsExpanded">True</x:Boolean>
                    </scg:Dictionary>
                  </sap:WorkflowViewStateService.ViewState>
                  <ui:LogMessage DisplayName="Log Message" sap:VirtualizedContainerService.HintSize="334,91" sap2010:WorkflowViewState.IdRef="LogMessage_4" Level="Error" Message="[componentName + &quot;: more than one tabs opened - please reconfigure chrome new session settings&quot;]" />
                  <Throw DisplayName="Throw AE" Exception="[New SystemException(componentName +&quot;: more than one tabs opened - please reconfigure chrome new session settings&quot;)]" sap:VirtualizedContainerService.HintSize="334,22" sap2010:WorkflowViewState.IdRef="Throw_4" />
                </Sequence>
              </If.Then>
            </If>
            <If Condition="[accessButtonExists]" DisplayName="If Access Salesforce button exists" sap:VirtualizedContainerService.HintSize="755,1444" sap2010:WorkflowViewState.IdRef="If_1">
              <sap:WorkflowViewStateService.ViewState>
                <scg:Dictionary x:TypeArguments="x:String, x:Object">
                  <x:Boolean x:Key="IsExpanded">True</x:Boolean>
                  <x:Boolean x:Key="IsPinned">False</x:Boolean>
                </scg:Dictionary>
              </sap:WorkflowViewStateService.ViewState>
              <If.Then>
                <Sequence sap:VirtualizedContainerService.HintSize="563,1297" sap2010:WorkflowViewState.IdRef="Sequence_5">
                  <sap:WorkflowViewStateService.ViewState>
                    <scg:Dictionary x:TypeArguments="x:String, x:Object">
                      <x:Boolean x:Key="IsExpanded">True</x:Boolean>
                      <x:Boolean x:Key="IsPinned">False</x:Boolean>
                    </scg:Dictionary>
                  </sap:WorkflowViewStateService.ViewState>
                  <Delay DisplayName="Delay 1s" Duration="00:00:01" sap:VirtualizedContainerService.HintSize="521,22" sap2010:WorkflowViewState.IdRef="Delay_6" />
                  <ui:Click DelayBefore="{x:Null}" DelayMS="{x:Null}" AlterIfDisabled="True" ClickType="CLICK_SINGLE" DisplayName="Click Access global salesforce button" sap:VirtualizedContainerService.HintSize="521,106" sap2010:WorkflowViewState.IdRef="Click_3" KeyModifiers="None" MouseButton="BTN_LEFT" SendWindowMessages="False" SimulateClick="True">
                    <ui:Click.CursorPosition>
                      <ui:CursorPosition Position="Center">
                        <ui:CursorPosition.OffsetX>
                          <InArgument x:TypeArguments="x:Int32" />
                        </ui:CursorPosition.OffsetX>
                        <ui:CursorPosition.OffsetY>
                          <InArgument x:TypeArguments="x:Int32" />
                        </ui:CursorPosition.OffsetY>
                      </ui:CursorPosition>
                    </ui:Click.CursorPosition>
                    <ui:Click.Target>
                      <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="67479948-56bb-4267-9500-b025ce06d9d0" InformativeScreenshot="0bb6b6a01af2607a16cf6242e6c2ad24" Selector="&lt;html app='chrome.exe' title='Log In Using | Salesforce' /&gt;&lt;webctrl aaname='Access Global Salesforce' tag='SPAN' /&gt;" WaitForReady="INTERACTIVE">
                        <ui:Target.TimeoutMS>
                          <InArgument x:TypeArguments="x:Int32" />
                        </ui:Target.TimeoutMS>
                      </ui:Target>
                    </ui:Click.Target>
                  </ui:Click>
                  <ui:UiElementExists DisplayName="Element Exists - Login box" Exists="[loginBoxExists]" sap:VirtualizedContainerService.HintSize="521,106" sap2010:WorkflowViewState.IdRef="UiElementExists_2">
                    <ui:UiElementExists.Target>
                      <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="e2ff1ff6-dbbb-488d-be9a-ca3093fb5014" InformativeScreenshot="6b2697998792745e260748c5619e8a03" Selector="&lt;html app='chrome.exe' title='PwC Login' /&gt;&lt;webctrl tag='INPUT' type='email' /&gt;" TimeoutMS="20000" WaitForReady="INTERACTIVE" />
                    </ui:UiElementExists.Target>
                  </ui:UiElementExists>
                  <If Condition="[loginBoxExists]" DisplayName="If Login box exists" sap:VirtualizedContainerService.HintSize="521,851" sap2010:WorkflowViewState.IdRef="If_2">
                    <sap:WorkflowViewStateService.ViewState>
                      <scg:Dictionary x:TypeArguments="x:String, x:Object">
                        <x:Boolean x:Key="IsExpanded">True</x:Boolean>
                        <x:Boolean x:Key="IsPinned">False</x:Boolean>
                      </scg:Dictionary>
                    </sap:WorkflowViewStateService.ViewState>
                    <If.Then>
                      <Sequence sap:VirtualizedContainerService.HintSize="376,704" sap2010:WorkflowViewState.IdRef="Sequence_7">
                        <sap:WorkflowViewStateService.ViewState>
                          <scg:Dictionary x:TypeArguments="x:String, x:Object">
                            <x:Boolean x:Key="IsExpanded">True</x:Boolean>
                          </scg:Dictionary>
                        </sap:WorkflowViewStateService.ViewState>
                        <Delay DisplayName="Delay 1s" Duration="00:00:01" sap:VirtualizedContainerService.HintSize="334,22" sap2010:WorkflowViewState.IdRef="Delay_10" />
                        <ui:TypeInto DelayBefore="{x:Null}" DelayMS="{x:Null}" Activate="True" AlterIfDisabled="True" ClickBeforeTyping="False" DelayBetweenKeys="30" DisplayName="Type Into - email address" EmptyField="False" sap:VirtualizedContainerService.HintSize="334,134" sap2010:WorkflowViewState.IdRef="TypeInto_1" SendWindowMessages="False" SimulateType="False" Text="[UserEmail]">
                          <ui:TypeInto.Target>
                            <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="968ffd1f-ac48-4d09-8253-408f1d4105f5" InformativeScreenshot="305b2d7c769b42bde8298550f9e6782a" Selector="&lt;html app='chrome.exe' title='PwC Login' /&gt;&lt;webctrl tag='INPUT' type='email' /&gt;" WaitForReady="INTERACTIVE">
                              <ui:Target.TimeoutMS>
                                <InArgument x:TypeArguments="x:Int32" />
                              </ui:Target.TimeoutMS>
                            </ui:Target>
                          </ui:TypeInto.Target>
                        </ui:TypeInto>
                        <Delay DisplayName="Delay 1s" Duration="00:00:01" sap:VirtualizedContainerService.HintSize="334,22" sap2010:WorkflowViewState.IdRef="Delay_3" />
                        <ui:Click DelayBefore="{x:Null}" DelayMS="{x:Null}" AlterIfDisabled="True" ClickType="CLICK_SINGLE" ContinueOnError="True" DisplayName="Click remember me" sap:VirtualizedContainerService.HintSize="334,106" sap2010:WorkflowViewState.IdRef="Click_4" KeyModifiers="None" MouseButton="BTN_LEFT" SendWindowMessages="False" SimulateClick="True">
                          <ui:Click.CursorPosition>
                            <ui:CursorPosition Position="Center">
                              <ui:CursorPosition.OffsetX>
                                <InArgument x:TypeArguments="x:Int32" />
                              </ui:CursorPosition.OffsetX>
                              <ui:CursorPosition.OffsetY>
                                <InArgument x:TypeArguments="x:Int32" />
                              </ui:CursorPosition.OffsetY>
                            </ui:CursorPosition>
                          </ui:Click.CursorPosition>
                          <ui:Click.Target>
                            <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="5d7e8aa8-ab95-4929-9f50-a0341bcee342" InformativeScreenshot="37c78bea1e98616b1ed47ebb9593dc79" Selector="&lt;html app='chrome.exe' title='PwC Login' /&gt;&lt;webctrl tag='INPUT' type='checkbox' /&gt;" WaitForReady="INTERACTIVE">
                              <ui:Target.TimeoutMS>
                                <InArgument x:TypeArguments="x:Int32" />
                              </ui:Target.TimeoutMS>
                            </ui:Target>
                          </ui:Click.Target>
                        </ui:Click>
                        <Delay DisplayName="Delay 1s" Duration="00:00:01" sap:VirtualizedContainerService.HintSize="334,22" sap2010:WorkflowViewState.IdRef="Delay_11" />
                        <ui:Click DelayBefore="{x:Null}" DelayMS="{x:Null}" AlterIfDisabled="True" ClickType="CLICK_SINGLE" DisplayName="Click NEXT button" sap:VirtualizedContainerService.HintSize="334,106" sap2010:WorkflowViewState.IdRef="Click_2" KeyModifiers="None" MouseButton="BTN_LEFT" SendWindowMessages="False" SimulateClick="True">
                          <ui:Click.CursorPosition>
                            <ui:CursorPosition Position="Center">
                              <ui:CursorPosition.OffsetX>
                                <InArgument x:TypeArguments="x:Int32" />
                              </ui:CursorPosition.OffsetX>
                              <ui:CursorPosition.OffsetY>
                                <InArgument x:TypeArguments="x:Int32" />
                              </ui:CursorPosition.OffsetY>
                            </ui:CursorPosition>
                          </ui:Click.CursorPosition>
                          <ui:Click.Target>
                            <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="fdc4bbbc-cdb3-4ef5-b136-97b8f8671e06" InformativeScreenshot="ec5b371cf931a93226065996795b019d" Selector="&lt;html app='chrome.exe' title='PwC Login' /&gt;&lt;webctrl tag='BUTTON' aaname='Next' /&gt;" WaitForReady="INTERACTIVE">
                              <ui:Target.TimeoutMS>
                                <InArgument x:TypeArguments="x:Int32" />
                              </ui:Target.TimeoutMS>
                            </ui:Target>
                          </ui:Click.Target>
                        </ui:Click>
                      </Sequence>
                    </If.Then>
                  </If>
                </Sequence>
              </If.Then>
            </If>
            <ui:ImageFound DisplayName="Image Exists " Found="[blockImageExists]" sap:VirtualizedContainerService.HintSize="755,106" sap2010:WorkflowViewState.IdRef="ImageFound_1">
              <ui:ImageFound.Image>
                <ui:ImageTarget Image="{x:Null}" Accuracy="0.8" Profile="Basic" TargetImageBase64="iVBORw0KGgoAAAANSUhEUgAAAEIAAAAeCAYAAACYGMhkAAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAIgSURBVGhD7ZlPSwJRFMX7Opn2Z8oUp78YFTGCEAVBMODChUFgCkIhBWlEuHHhxkVCGxcuhPAruPILuGrVblbu2p3eHe/ozFiLsglq3uLAzDtzZzi/ue9u3sxsIITA3AIisQ0o4QiCoSXQ2n8WZaSslJmy05oJQlmJmob9YT9oOSxyrwxzmyCi6qYvOsEtykzZ6doEsbYVn3jIL7KySxASxFASBEuCYEkQLAmC5QGIFrKdNzxYahvIX5XZKyPVFGu1lu35r2ja+s/lGYib+wbC8QvslAwB5BWncfJ8CKJY4i7Quih2DKQ08nwL4hDb1BGtHrbnyXMFmb9GsmrgjrfRXbOP5P7uh16xVHHV72KD3t3uI6Fa3/6+PAMxmhGdAc5z1wianj2IjoPawAyS3NcRXC3juC7uCZoIuVcl7wXHR2ksbD4jW6Wacb2S6eOWOi3J4KaUZyCsGaGmemJrvCGf04VnB9HCuVi/vLoY1570huG0Bs7aTk/VqMO4vmmIdw6QzaTHtVPKMxCjGeEIPwkiXyBAXMsgdO0Dz/6up1dcOr4xvX6tIwoF+rt2EDoSNXHt3hrNLlThHdbJ461BXq7hqB9ujZ/rCs9A2GdEvtSAYnp2EOJeqeC0Ph6IN489HFiDz+V9Oix/aE54AOJvSoJgSRAsCYIlQbAkCJYEwZIgWA4Q8oCHQcgjPwYxOgQWi8HQ4kTBfxNlpKyR2DofAofwDnxacL4GXgf2AAAAAElFTkSuQmCC" />
              </ui:ImageFound.Image>
              <ui:ImageFound.Target>
                <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Selector="{x:Null}" Id="ccfc1f47-3940-4e21-bf07-b854b7159eeb" TimeoutMS="5000">
                  <ui:Target.WaitForReady>
                    <InArgument x:TypeArguments="ui:WaitForReady" />
                  </ui:Target.WaitForReady>
                </ui:Target>
              </ui:ImageFound.Target>
            </ui:ImageFound>
            <If Condition="[blockImageExists]" DisplayName="If blockImageExists" sap:VirtualizedContainerService.HintSize="755,301" sap2010:WorkflowViewState.IdRef="If_10">
              <If.Then>
                <ui:ClickImage DelayBefore="{x:Null}" DelayMS="{x:Null}" ClickType="CLICK_SINGLE" ContinueOnError="True" DisplayName="Click Image block" sap:VirtualizedContainerService.HintSize="334,154" sap2010:WorkflowViewState.IdRef="ClickImage_1" KeyModifiers="None" MouseButton="BTN_LEFT" SendWindowMessages="False">
                  <ui:ClickImage.CursorPosition>
                    <ui:CursorPosition Position="Center">
                      <ui:CursorPosition.OffsetX>
                        <InArgument x:TypeArguments="x:Int32" />
                      </ui:CursorPosition.OffsetX>
                      <ui:CursorPosition.OffsetY>
                        <InArgument x:TypeArguments="x:Int32" />
                      </ui:CursorPosition.OffsetY>
                    </ui:CursorPosition>
                  </ui:ClickImage.CursorPosition>
                  <ui:ClickImage.Image>
                    <ui:ImageTarget Image="{x:Null}" Accuracy="0.8" Profile="Basic" TargetImageBase64="iVBORw0KGgoAAAANSUhEUgAAADgAAAAaCAYAAADi4p8jAAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAGnSURBVFhH7ZS/asJQFMb7Ni1qQdol0CIWKxIISIWCEHAQWhDUgKCI0iiluDg4ODTQJUMGob6CUx7AqZNTJjdf4eu9eiV/ageTLDfc4YPcfDk353fPOffi8iqNJEsA8i4ByLsEIO8SgLwrJKCF5nKHj6MWDrTeiHkj1EzybmZ5vj9HUeP9igQ4fDdwk2/hQXcI6AbVPPUSBNjXWdXkFfpLBzWZeokDLCNHK2jZyGWoF0gwM4AydTBm7Tw211CKhZNeX58E4gu4o3sv1pCl47/PUzwzuNyi0R4gtfe8Caoozbb7BJWiitTtCJU5WdPDIMk/Tqn3g8pTHdf332hOaYwbn31Z4412hsIOJIRimUGpZpMW3UFrq8TzAlpokPfdXsuNfbYPScsGXhd+T5JpR7B40yF7btF8qbuxIRTPDPqg/gJqHQrOYhmgKp/wvHt9bdD1/SOcYq1gp0Or4QVUIc/Ic7BFzRUk4pXn1GMtSr224Ys/tGi0KsY2g5puILv3vIBknZ2gOncvkuGnjdLxwgh4/14yEeYwJCA/EoC8SwDyLgHIuxIOmMYvqfYm+5pADVUAAAAASUVORK5CYII=" />
                  </ui:ClickImage.Image>
                  <ui:ClickImage.Target>
                    <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Selector="{x:Null}" Id="4450f0d5-1d0f-437c-8834-2bbfff5ba115" TimeoutMS="3000" WaitForReady="NONE" />
                  </ui:ClickImage.Target>
                </ui:ClickImage>
              </If.Then>
            </If>
            <Sequence DisplayName="Check SF popup" sap:VirtualizedContainerService.HintSize="755,420" sap2010:WorkflowViewState.IdRef="Sequence_11">
              <Sequence.Variables>
                <Variable x:TypeArguments="x:Boolean" Name="iHaveReadAndUnderstood" />
              </Sequence.Variables>
              <sap:WorkflowViewStateService.ViewState>
                <scg:Dictionary x:TypeArguments="x:String, x:Object">
                  <x:Boolean x:Key="IsExpanded">True</x:Boolean>
                  <x:Boolean x:Key="IsPinned">False</x:Boolean>
                </scg:Dictionary>
              </sap:WorkflowViewStateService.ViewState>
              <ui:UiElementExists DisplayName="Element Exists I have read and understood" Exists="[iHaveReadAndUnderstood]" sap:VirtualizedContainerService.HintSize="334,106" sap2010:WorkflowViewState.IdRef="UiElementExists_6">
                <ui:UiElementExists.Target>
                  <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="a55583d3-c545-4944-8c9a-163a6eaf14a0" InformativeScreenshot="5f831d47f3a98b9bb8767778e5c3c42d" Selector="&lt;html app='chrome.exe' title='*Salesforce*' /&gt;&lt;webctrl aaname='I have read and understood' tag='DIV' /&gt;" TimeoutMS="3000" WaitForReady="COMPLETE" />
                </ui:UiElementExists.Target>
              </ui:UiElementExists>
              <ui:LogMessage DisplayName="Log Message" sap:VirtualizedContainerService.HintSize="334,91" sap2010:WorkflowViewState.IdRef="LogMessage_5" Level="Info" Message="[componentName+ &quot;- iHaveReadAndUnderstood=&quot;+iHaveReadAndUnderstood.tostring]" />
              <If Condition="[iHaveReadAndUnderstood]" DisplayName="If iHaveReadAndUnderstood popup exists" sap:VirtualizedContainerService.HintSize="334,51" sap2010:WorkflowViewState.IdRef="If_7">
                <sap:WorkflowViewStateService.ViewState>
                  <scg:Dictionary x:TypeArguments="x:String, x:Object">
                    <x:Boolean x:Key="IsExpanded">False</x:Boolean>
                    <x:Boolean x:Key="IsPinned">False</x:Boolean>
                  </scg:Dictionary>
                </sap:WorkflowViewStateService.ViewState>
                <If.Then>
                  <Sequence sap:VirtualizedContainerService.HintSize="376,329" sap2010:WorkflowViewState.IdRef="Sequence_10">
                    <sap:WorkflowViewStateService.ViewState>
                      <scg:Dictionary x:TypeArguments="x:String, x:Object">
                        <x:Boolean x:Key="IsExpanded">True</x:Boolean>
                      </scg:Dictionary>
                    </sap:WorkflowViewStateService.ViewState>
                    <ui:LogMessage DisplayName="Log Message" sap:VirtualizedContainerService.HintSize="334,91" sap2010:WorkflowViewState.IdRef="LogMessage_6" Level="Info" Message="[componentName+ &quot; Clicking I have read with simulate&quot;]" />
                    <ui:Click DelayBefore="{x:Null}" SendWindowMessages="{x:Null}" AlterIfDisabled="True" ClickType="CLICK_SINGLE" DelayMS="500" DisplayName="Click I have read" sap:VirtualizedContainerService.HintSize="334,106" sap2010:WorkflowViewState.IdRef="Click_6" KeyModifiers="None" MouseButton="BTN_LEFT" SimulateClick="True">
                      <ui:Click.CursorPosition>
                        <ui:CursorPosition Position="Center">
                          <ui:CursorPosition.OffsetX>
                            <InArgument x:TypeArguments="x:Int32" />
                          </ui:CursorPosition.OffsetX>
                          <ui:CursorPosition.OffsetY>
                            <InArgument x:TypeArguments="x:Int32" />
                          </ui:CursorPosition.OffsetY>
                        </ui:CursorPosition>
                      </ui:Click.CursorPosition>
                      <ui:Click.Target>
                        <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="dad6d56c-12ef-41d7-9a32-e6ab7bdcdc7b" InformativeScreenshot="5f831d47f3a98b9bb8767778e5c3c42d" Selector="&lt;html app='chrome.exe' title='*Salesforce*' /&gt;&lt;webctrl aaname='I have read and understood' tag='DIV' /&gt;">
                          <ui:Target.TimeoutMS>
                            <InArgument x:TypeArguments="x:Int32" />
                          </ui:Target.TimeoutMS>
                          <ui:Target.WaitForReady>
                            <InArgument x:TypeArguments="ui:WaitForReady" />
                          </ui:Target.WaitForReady>
                        </ui:Target>
                      </ui:Click.Target>
                    </ui:Click>
                  </Sequence>
                </If.Then>
              </If>
            </Sequence>
            <ui:UiElementExists DisplayName="Element Exists Notification from website" Exists="[notificationFromWebExists]" sap:VirtualizedContainerService.HintSize="755,106" sap2010:WorkflowViewState.IdRef="UiElementExists_7">
              <ui:UiElementExists.Target>
                <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="0d151bfe-6999-42f9-9c6e-5bc5abd39a58" InformativeScreenshot="855f21a361087420f4175aba3930a7e3" Selector="&lt;wnd app='chrome.exe' cls='Chrome_WidgetWin_*' title='* wants to' /&gt;" TimeoutMS="1000" WaitForReady="INTERACTIVE" />
              </ui:UiElementExists.Target>
              <sap:WorkflowViewStateService.ViewState>
                <scg:Dictionary x:TypeArguments="x:String, x:Object">
                  <x:Boolean x:Key="IsExpanded">True</x:Boolean>
                  <x:Boolean x:Key="IsPinned">False</x:Boolean>
                </scg:Dictionary>
              </sap:WorkflowViewStateService.ViewState>
            </ui:UiElementExists>
            <If Condition="[notificationFromWebExists]" DisplayName="If notification showed" sap:VirtualizedContainerService.HintSize="755,51" sap2010:WorkflowViewState.IdRef="If_8">
              <sap:WorkflowViewStateService.ViewState>
                <scg:Dictionary x:TypeArguments="x:String, x:Object">
                  <x:Boolean x:Key="IsExpanded">False</x:Boolean>
                  <x:Boolean x:Key="IsPinned">False</x:Boolean>
                </scg:Dictionary>
              </sap:WorkflowViewStateService.ViewState>
              <If.Then>
                <ui:Click DelayBefore="{x:Null}" DelayMS="{x:Null}" AlterIfDisabled="True" ClickType="CLICK_SINGLE" DisplayName="Click Block" sap:VirtualizedContainerService.HintSize="334,106" sap2010:WorkflowViewState.IdRef="Click_7" KeyModifiers="None" MouseButton="BTN_LEFT" SendWindowMessages="False" SimulateClick="False">
                  <ui:Click.CursorPosition>
                    <ui:CursorPosition OffsetX="100" OffsetY="30" Position="Center" />
                  </ui:Click.CursorPosition>
                  <ui:Click.Target>
                    <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="28297384-71f4-4a1c-93ce-21a04fc50741" InformativeScreenshot="d05976980868ab8d12a16ae44354553c" Selector="&lt;wnd app='chrome.exe' cls='Chrome_WidgetWin_*' title='*wants to' /&gt;" WaitForReady="INTERACTIVE">
                      <ui:Target.TimeoutMS>
                        <InArgument x:TypeArguments="x:Int32" />
                      </ui:Target.TimeoutMS>
                    </ui:Target>
                  </ui:Click.Target>
                </ui:Click>
              </If.Then>
            </If>
            <ui:CommentOut DisplayName="Comment Out" sap:VirtualizedContainerService.HintSize="755,51" sap2010:WorkflowViewState.IdRef="CommentOut_1">
              <ui:CommentOut.Body>
                <Sequence DisplayName="Ignored Activities" sap:VirtualizedContainerService.HintSize="376,183" sap2010:WorkflowViewState.IdRef="Sequence_12">
                  <sap:WorkflowViewStateService.ViewState>
                    <scg:Dictionary x:TypeArguments="x:String, x:Object">
                      <x:Boolean x:Key="IsExpanded">True</x:Boolean>
                    </scg:Dictionary>
                  </sap:WorkflowViewStateService.ViewState>
                  <ui:LogMessage DisplayName="Log Message" sap:VirtualizedContainerService.HintSize="334,91" sap2010:WorkflowViewState.IdRef="LogMessage_7" Level="Info" Message="[httputility.HtmlEncode(OpportunityName)]" />
                </Sequence>
              </ui:CommentOut.Body>
              <sap:WorkflowViewStateService.ViewState>
                <scg:Dictionary x:TypeArguments="x:String, x:Object">
                  <x:Boolean x:Key="IsExpanded">False</x:Boolean>
                  <x:Boolean x:Key="IsPinned">False</x:Boolean>
                </scg:Dictionary>
              </sap:WorkflowViewStateService.ViewState>
            </ui:CommentOut>
            <ui:UiElementExists DisplayName="Element Exists opp name in header" Exists="[reportExists]" sap:VirtualizedContainerService.HintSize="755,68" sap2010:WorkflowViewState.IdRef="UiElementExists_9">
              <ui:UiElementExists.Target>
                <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="c9034a24-7c93-450d-a35a-aee65b83b7b6" Selector="[String.Format(&quot;&lt;html app='chrome.exe' title='{0} | Salesforce' /&gt;&quot;, httputility.HtmlEncode(OpportunityName))]" TimeoutMS="60000" WaitForReady="COMPLETE" />
              </ui:UiElementExists.Target>
            </ui:UiElementExists>
            <If Condition="[reportExists]" DisplayName="If Report Exists" sap:VirtualizedContainerService.HintSize="755,538" sap2010:WorkflowViewState.IdRef="If_3">
              <sap:WorkflowViewStateService.ViewState>
                <scg:Dictionary x:TypeArguments="x:String, x:Object">
                  <x:Boolean x:Key="IsExpanded">True</x:Boolean>
                  <x:Boolean x:Key="IsPinned">False</x:Boolean>
                </scg:Dictionary>
              </sap:WorkflowViewStateService.ViewState>
              <If.Else>
                <Sequence sap:VirtualizedContainerService.HintSize="376,391" sap2010:WorkflowViewState.IdRef="Sequence_13">
                  <sap:WorkflowViewStateService.ViewState>
                    <scg:Dictionary x:TypeArguments="x:String, x:Object">
                      <x:Boolean x:Key="IsExpanded">True</x:Boolean>
                    </scg:Dictionary>
                  </sap:WorkflowViewStateService.ViewState>
                  <ui:LogMessage DisplayName="Log Message" sap:VirtualizedContainerService.HintSize="334,91" sap2010:WorkflowViewState.IdRef="LogMessage_9" Level="Info" Message="[&quot;Retrying detect opportunity name #1&quot;]" />
                  <Assign DisplayName="Remove double space" sap:VirtualizedContainerService.HintSize="334,60" sap2010:WorkflowViewState.IdRef="Assign_1">
                    <Assign.To>
                      <OutArgument x:TypeArguments="x:String">[OpportunityName]</OutArgument>
                    </Assign.To>
                    <Assign.Value>
                      <InArgument x:TypeArguments="x:String" xml:space="preserve">[OpportunityName.replace("  "," ")]</InArgument>
                    </Assign.Value>
                  </Assign>
                  <ui:UiElementExists DisplayName="Element Exists opp name in header" Exists="[reportExists]" sap:VirtualizedContainerService.HintSize="334,68" sap2010:WorkflowViewState.IdRef="UiElementExists_10">
                    <ui:UiElementExists.Target>
                      <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="c9034a24-7c93-450d-a35a-aee65b83b7b6" Selector="[String.Format(&quot;&lt;html app='chrome.exe' title='{0} | Salesforce' /&gt;&quot;, httputility.HtmlEncode(OpportunityName))]" TimeoutMS="5000" WaitForReady="COMPLETE" />
                    </ui:UiElementExists.Target>
                  </ui:UiElementExists>
                </Sequence>
              </If.Else>
            </If>
            <If Condition="[reportExists]" DisplayName="If Report Exists" sap:VirtualizedContainerService.HintSize="755,538" sap2010:WorkflowViewState.IdRef="If_11">
              <sap:WorkflowViewStateService.ViewState>
                <scg:Dictionary x:TypeArguments="x:String, x:Object">
                  <x:Boolean x:Key="IsExpanded">True</x:Boolean>
                  <x:Boolean x:Key="IsPinned">False</x:Boolean>
                </scg:Dictionary>
              </sap:WorkflowViewStateService.ViewState>
              <If.Else>
                <Sequence sap:VirtualizedContainerService.HintSize="376,391" sap2010:WorkflowViewState.IdRef="Sequence_15">
                  <sap:WorkflowViewStateService.ViewState>
                    <scg:Dictionary x:TypeArguments="x:String, x:Object">
                      <x:Boolean x:Key="IsExpanded">True</x:Boolean>
                    </scg:Dictionary>
                  </sap:WorkflowViewStateService.ViewState>
                  <ui:LogMessage DisplayName="Log Message" sap:VirtualizedContainerService.HintSize="334,91" sap2010:WorkflowViewState.IdRef="LogMessage_10" Level="Info" Message="[&quot;Retrying detect opportunity name #2&quot;]" />
                  <Assign DisplayName="Remove double space" sap:VirtualizedContainerService.HintSize="334,60" sap2010:WorkflowViewState.IdRef="Assign_2">
                    <Assign.To>
                      <OutArgument x:TypeArguments="x:String">[OpportunityName]</OutArgument>
                    </Assign.To>
                    <Assign.Value>
                      <InArgument x:TypeArguments="x:String">[Left(OpportunityName,5)+"*"]</InArgument>
                    </Assign.Value>
                  </Assign>
                  <ui:UiElementExists DisplayName="Element Exists opp name in header" Exists="[reportExists]" sap:VirtualizedContainerService.HintSize="334,68" sap2010:WorkflowViewState.IdRef="UiElementExists_11">
                    <ui:UiElementExists.Target>
                      <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="c9034a24-7c93-450d-a35a-aee65b83b7b6" Selector="[String.Format(&quot;&lt;html app='chrome.exe' title='{0} | Salesforce' /&gt;&quot;, httputility.HtmlEncode(OpportunityName))]" TimeoutMS="5000" WaitForReady="COMPLETE" />
                    </ui:UiElementExists.Target>
                  </ui:UiElementExists>
                </Sequence>
              </If.Else>
            </If>
            <If Condition="[reportExists]" DisplayName="If Report Exists" sap:VirtualizedContainerService.HintSize="755,392" sap2010:WorkflowViewState.IdRef="If_9">
              <sap:WorkflowViewStateService.ViewState>
                <scg:Dictionary x:TypeArguments="x:String, x:Object">
                  <x:Boolean x:Key="IsExpanded">True</x:Boolean>
                  <x:Boolean x:Key="IsPinned">False</x:Boolean>
                </scg:Dictionary>
              </sap:WorkflowViewStateService.ViewState>
              <If.Then>
                <ui:SendHotkey DelayBefore="{x:Null}" DelayBetweenKeys="{x:Null}" DelayMS="{x:Null}" Activate="True" ClickBeforeTyping="False" DisplayName="Send Hotkey zoom to 100%" EmptyField="False" sap:VirtualizedContainerService.HintSize="334,154" sap2010:WorkflowViewState.IdRef="SendHotkey_4" Key="0" KeyModifiers="Ctrl" SendWindowMessages="False" SpecialKey="False">
                  <ui:SendHotkey.Target>
                    <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="b803fa92-606e-469e-8b92-4e80a0d8903b" InformativeScreenshot="eee80b074ae02c2e39fa37ce92410e83" Selector="&lt;html app='chrome.exe' title='*Salesforce' /&gt;" WaitForReady="INTERACTIVE">
                      <ui:Target.TimeoutMS>
                        <InArgument x:TypeArguments="x:Int32" />
                      </ui:Target.TimeoutMS>
                    </ui:Target>
                  </ui:SendHotkey.Target>
                </ui:SendHotkey>
              </If.Then>
              <If.Else>
                <Sequence DisplayName="AE - report screen does not exist" sap:VirtualizedContainerService.HintSize="376,245" sap2010:WorkflowViewState.IdRef="Sequence_14">
                  <sap:WorkflowViewStateService.ViewState>
                    <scg:Dictionary x:TypeArguments="x:String, x:Object">
                      <x:Boolean x:Key="IsExpanded">True</x:Boolean>
                    </scg:Dictionary>
                  </sap:WorkflowViewStateService.ViewState>
                  <ui:LogMessage DisplayName="Log Message" sap:VirtualizedContainerService.HintSize="334,91" sap2010:WorkflowViewState.IdRef="LogMessage_8" Level="Error" Message="[componentName + &quot;: opportunity screen does not exist&quot;]" />
                  <Throw DisplayName="Throw AE" Exception="[New SystemException(componentName +&quot;: oppotunity screen does not exist&quot;)]" sap:VirtualizedContainerService.HintSize="334,22" sap2010:WorkflowViewState.IdRef="Throw_5" />
                </Sequence>
              </If.Else>
            </If>
          </Sequence>
        </ActivityAction>
      </ui:OpenBrowser.Body>
    </ui:OpenBrowser>
    <ui:LogMessage DisplayName="Log Message" sap:VirtualizedContainerService.HintSize="831,91" sap2010:WorkflowViewState.IdRef="LogMessage_2" Level="Info" Message="[&quot;End: &quot; + componentName]" />
  </Sequence>
</Activity>